@import url("./nav.css");
@import url("./footer.css");


  
.content {
	padding: 0 var(--page-padding);
	display: flex;
	flex-direction: column;
height: 100vh;

	position: relative;
	justify-content: center;
	align-items: start;
	font-family: "greycliff-cf", sans-serif;
	font-weight: 300;		
}
.inner-content{
	position: absolute;
	left: 0%;
	display: flex;
	flex-direction: column;
	width: 100%;

}
.tag-line{
	display: flex;
	justify-content: center;
	bottom: 10px;
	position: absolute;
}
.content h2 {
	font-size: 14vw;
	line-height: 1;
	margin: 0;
	pointer-events: none;
	background-color: var(--gradient-text-1);
	background-image: linear-gradient(45deg, var(--gradient-text-1), var(--gradient-text-2));
	background-size: 100%;
	background-repeat: repeat;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent; 
	-moz-background-clip: text;
	-moz-text-fill-color: transparent;
	margin-top: 5%;
}

.content h2 i {
	font-family: "lores-9-plus-wide", sans-serif;
	font-weight: 400;
	font-style: normal;
	letter-spacing: -1.75vw;
	font-size: 14.25vw;
}

.content p {
	margin: 3vh 0 0 0;
	max-width: 30ch;
	font-weight: 400;
	font-size: clamp(1.5rem,2vw,2rem);
	font-variation-settings: "wght" 400, "opsz" 72, "ital" 0;
	pointer-events: none;
	color: rgba(205, 188, 188);
}

.cursor {
    height: 100%;
    position: fixed;
    width: 100%;
    left: 0;
    top: 0;
    pointer-events: none;
    z-index: 99;
    mix-blend-mode: var(--cursor-blend-mode);
    --size: calc(100vw / var(--columns));
    display: none; 
}
main:hover ~ .cursor{
	display: block;
}
.cursor__inner {
	display: grid;
	grid-template-columns: repeat(var(--columns), var(--size));
}

.cursor__inner-box {
	width: var(--size);
	height: var(--size);
	background: var(--cursor-bg);
	opacity: 0;
	border-radius: var(--cursor-radius);
}

#model-container { width: 100vw; height: 100vh; }
@media screen and (min-width: 53em) {
	:root {
		--columns: 30;
		--page-padding: 2rem;
	}
	.frame {
		grid-template-columns: auto auto auto 1fr;
		grid-template-areas: 'title prev sponsor demos';
		justify-items: start;
		grid-gap: 2rem;
	}
	.frame__demos {
		justify-self: end;
	}
	.frame__demos-item:first-child {
		width: auto;
	}
	.content {
		align-items: center;
	}
}



.button-register {
    background-color: #000000; 
    color: white;
    border: 1px solid rgb(255, 255, 255);
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
    font-size: 16px;
    transition: background-color 0.3s ease;

}

/* 3d content */
@media  screen and (max-width:768px) {
	.tag-line{
		bottom: 50px;
		left: 50px;
	}
	
}